using System;
using System.Runtime.InteropServices;
using CustomToolGenerator;

namespace CustomToolProject
{
	[Guid("8696CA73-4FD7-4e5f-B267-48C9F3CB8F07")]
	public class CustomGenerator : BaseCodeGeneratorWithSite
	{
		protected override byte[] GenerateCode(string file, string contents)
		{
			// W tym miejscu generowany jest kod, który zostanie zwrócony przez narzędzie
			string code = @"using System;
								  namespace Vehicles
								  { 
										public class Car { } 
								  }
								";
			return System.Text.Encoding.ASCII.GetBytes(code);
		}
	}
}
